Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents
Class ContentScanner.GraphicsState

    java.lang.Object
      org.pdfclown.documents.contents.ContentScanner.GraphicsState

All Implemented Interfaces:
  Cloneable

Enclosing class:
  ContentScanner

    public static final class ContentScanner.GraphicsState

extends Object
implements Cloneable

Graphics state [PDF:1.6:4.3].

Method Summary
`ContentScanner.GraphicsState` | `clone()` Gets a deep copy of the graphics state object.
`void` | `copyTo(ContentScanner.GraphicsState state)` Copies this graphics state into the specified one.
`List<BlendModeEnum>` | `getBlendMode()` Gets the current blend mode to be used in the transparent imaging model [PDF:1.6:5.2.1].
`double` | `getCharSpace()` Gets the current character spacing [PDF:1.6:5.2.1].
`AffineTransform` | `getCtm()` Gets the current transformation matrix.
`Color<?>` | `getFillColor()` Gets the current color for nonstroking operations [PDF:1.6:4.5.1].
`ColorSpace<?>` | `getFillColorSpace()` Gets the current color space for nonstroking operations [PDF:1.6:4.5.1].
`Font` | `getFont()` Gets the current font [PDF:1.6:5.2].
`double` | `getFontSize()` Gets the current font size [PDF:1.6:5.2].
`AffineTransform` | `getInitialCtm()` Gets the initial current transformation matrix.
`double` | `getLead()` Gets the current leading [PDF:1.6:5.2.4].
`LineCapEnum` | `getLineCap()` Gets the current line cap style [PDF:1.6:4.3.2].
`LineDash` | `getLineDash()` Gets the current line dash pattern [PDF:1.6:4.3.2].
`LineJoinEnum` | `getLineJoin()` Gets the current line join style [PDF:1.6:4.3.2].
`double` | `getLineWidth()` Gets the current line width [PDF:1.6:4.3.2].
`double` | `getMiterLimit()` Gets the current miter limit [PDF:1.6:4.3.2].
`TextRenderModeEnum` | `getRenderMode()` Gets the current text rendering mode [PDF:1.6:5.2.5].
`double` | `getRise()` Gets the current text rise [PDF:1.6:5.2.6].
`double` | `getScale()` Gets the current horizontal scaling [PDF:1.6:5.2.3].
`ContentScanner` | `getScanner()` Gets the scanner associated to this state.
`Color<?>` | `getStrokeColor()` Gets the current color for stroking operations [PDF:1.6:4.5.1].
`ColorSpace<?>` | `getStrokeColorSpace()` Gets the current color space for stroking operations [PDF:1.6:4.5.1].
`AffineTransform` | `getTlm()` Gets the current text line matrix [PDF:1.6:5.3].
`AffineTransform` | `getTm()` Gets the current text matrix [PDF:1.6:5.3].
`double` | `getWordSpace()` Gets the current word spacing [PDF:1.6:5.2.2].
`void` | `setBlendMode(List<BlendModeEnum> value)`
`void` | `setCharSpace(double value)`
`void` | `setCtm(AffineTransform value)`
`void` | `setFillColor(Color<?> value)`
`void` | `setFillColorSpace(ColorSpace<?> value)`
`void` | `setFont(Font value)`
`void` | `setFontSize(double value)`
`void` | `setLead(double value)`
`void` | `setLineCap(LineCapEnum value)`
`void` | `setLineDash(LineDash value)`
`void` | `setLineJoin(LineJoinEnum value)`
`void` | `setLineWidth(double value)`
`void` | `setMiterLimit(double value)`
`void` | `setRenderMode(TextRenderModeEnum value)`
`void` | `setRise(double value)`
`void` | `setScale(double value)`
`void` | `setStrokeColor(Color<?> value)`
`void` | `setStrokeColorSpace(ColorSpace<?> value)`
`void` | `setTlm(AffineTransform value)`
`void` | `setTm(AffineTransform value)`
`void` | `setWordSpace(double value)`
`Point2D` | `textToDeviceSpace(Point2D point)` Resolves the given text-space point to its equivalent device-space one [PDF:1.6:5.3.3], expressed in standard PDF coordinate system (lower-left origin).
`Point2D` | `textToDeviceSpace(Point2D point, boolean topDown)` Resolves the given text-space point to its equivalent device-space one [PDF:1.6:5.3.3].
`Point2D` | `userToDeviceSpace(Point2D point)` Resolves the given user-space point to its equivalent device-space one [PDF:1.6:4.2.3], expressed in standard PDF coordinate system (lower-left origin).

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public ContentScanner.GraphicsState clone()

  Gets a deep copy of the graphics state object.

  Overrides:
    `clone` in class `Object`

### copyTo

    public void copyTo(ContentScanner.GraphicsState state)

  Copies this graphics state into the specified one.

  Parameters:
    `state` - Target graphics state object.

### getBlendMode

    public List<BlendModeEnum> getBlendMode()

  Gets the current blend mode to be used in the transparent imaging model [PDF:1.6:5.2.1].

  The application should use the first blend mode in the list that it recognizes.

### getCharSpace

    public double getCharSpace()

  Gets the current character spacing [PDF:1.6:5.2.1].

### getCtm

    public AffineTransform getCtm()

  Gets the current transformation matrix.

### getFillColor

    public Color<?> getFillColor()

  Gets the current color for nonstroking operations [PDF:1.6:4.5.1].

### getFillColorSpace

    public ColorSpace<?> getFillColorSpace()

  Gets the current color space for nonstroking operations [PDF:1.6:4.5.1].

### getFont

    public Font getFont()

  Gets the current font [PDF:1.6:5.2].

### getFontSize

    public double getFontSize()

  Gets the current font size [PDF:1.6:5.2].

### getInitialCtm

    public AffineTransform getInitialCtm()

  Gets the initial current transformation matrix.

  Since:
    0.1.0

### getLead

    public double getLead()

  Gets the current leading [PDF:1.6:5.2.4].

### getLineCap

    public LineCapEnum getLineCap()

  Gets the current line cap style [PDF:1.6:4.3.2].

### getLineDash

    public LineDash getLineDash()

  Gets the current line dash pattern [PDF:1.6:4.3.2].

### getLineJoin

    public LineJoinEnum getLineJoin()

  Gets the current line join style [PDF:1.6:4.3.2].

### getLineWidth

    public double getLineWidth()

  Gets the current line width [PDF:1.6:4.3.2].

### getMiterLimit

    public double getMiterLimit()

  Gets the current miter limit [PDF:1.6:4.3.2].

### getRenderMode

    public TextRenderModeEnum getRenderMode()

  Gets the current text rendering mode [PDF:1.6:5.2.5].

### getRise

    public double getRise()

  Gets the current text rise [PDF:1.6:5.2.6].

### getScale

    public double getScale()

  Gets the current horizontal scaling [PDF:1.6:5.2.3].

### getScanner

    public ContentScanner getScanner()

  Gets the scanner associated to this state.

### getStrokeColor

    public Color<?> getStrokeColor()

  Gets the current color for stroking operations [PDF:1.6:4.5.1].

### getStrokeColorSpace

    public ColorSpace<?> getStrokeColorSpace()

  Gets the current color space for stroking operations [PDF:1.6:4.5.1].

### getTlm

    public AffineTransform getTlm()

  Gets the current text line matrix [PDF:1.6:5.3].

### getTm

    public AffineTransform getTm()

  Gets the current text matrix [PDF:1.6:5.3].

### getWordSpace

    public double getWordSpace()

  Gets the current word spacing [PDF:1.6:5.2.2].

### setBlendMode

    public void setBlendMode(List<BlendModeEnum> value)

  See Also:
    `getBlendMode()`

### setCharSpace

    public void setCharSpace(double value)

  See Also:
    `getCharSpace()`

### setCtm

    public void setCtm(AffineTransform value)

  See Also:
    `getCtm()`

### setFillColor

    public void setFillColor(Color<?> value)

  See Also:
    `getFillColor()`

### setFillColorSpace

    public void setFillColorSpace(ColorSpace<?> value)

  See Also:
    `getFillColorSpace()`

### setFont

    public void setFont(Font value)

  See Also:
    `getFont()`

### setFontSize

    public void setFontSize(double value)

  See Also:
    `getFontSize()`

### setLead

    public void setLead(double value)

  See Also:
    `getLead()`

### setLineCap

    public void setLineCap(LineCapEnum value)

  See Also:
    `getLineCap()`

### setLineDash

    public void setLineDash(LineDash value)

  See Also:
    `getLineDash()`

### setLineJoin

    public void setLineJoin(LineJoinEnum value)

  See Also:
    `getLineJoin()`

### setLineWidth

    public void setLineWidth(double value)

  See Also:
    `getLineWidth()`

### setMiterLimit

    public void setMiterLimit(double value)

  See Also:
    `getMiterLimit()`

### setRenderMode

    public void setRenderMode(TextRenderModeEnum value)

  See Also:
    `getRenderMode()`

### setRise

    public void setRise(double value)

  See Also:
    `getRise()`

### setScale

    public void setScale(double value)

  See Also:
    `getScale()`

### setStrokeColor

    public void setStrokeColor(Color<?> value)

  See Also:
    `getStrokeColor()`

### setStrokeColorSpace

    public void setStrokeColorSpace(ColorSpace<?> value)

  See Also:
    `getStrokeColorSpace()`

### setTlm

    public void setTlm(AffineTransform value)

  See Also:
    `getTlm()`

### setTm

    public void setTm(AffineTransform value)

  See Also:
    `getTm()`

### setWordSpace

    public void setWordSpace(double value)

  See Also:
    `getWordSpace()`

### textToDeviceSpace

    public Point2D textToDeviceSpace(Point2D point)

  Resolves the given text-space point to its equivalent device-space one [PDF:1.6:5.3.3], expressed in standard PDF coordinate system (lower-left origin).

  Parameters:
    `point` - Point to transform.

### textToDeviceSpace

    public Point2D textToDeviceSpace(Point2D point,
                                     boolean topDown)

  Resolves the given text-space point to its equivalent device-space one [PDF:1.6:5.3.3].

  Parameters:
    `point` - Point to transform.
    `topDown` - Whether the y-axis orientation has to be adjusted to common top-down orientation rather than standard PDF coordinate system (bottom-up).

### userToDeviceSpace

    public Point2D userToDeviceSpace(Point2D point)

  Resolves the given user-space point to its equivalent device-space one [PDF:1.6:4.2.3], expressed in standard PDF coordinate system (lower-left origin).

  Parameters:
    `point` - Point to transform.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.